=== brainBrowser/Makefile ===

# makefile for brainbrowser

-include ../make_vars.txt
include ../make_stuff.txt

VBLIBS=$(VBLIBS2)

CXXFLAGS += -DQT3_SUPPORT $(QTLIBDIRS) $(QTINCDIRS)

OBJECTS=br_util.o main.o myDB.o
HEADERS=br_util.h main.h myDB.h region.h region_relation.h searchBrain.h synonym.h
LIBS =$(LDFLAGS) $(LIBDIRS) $(QTLIBDIRS) $(QTLIBS) -lvbprefs -lvbglm -lvbio -lvbutil -lz $(DLLIB) -lgsl -lgslcblas

ALLBINS=brainBrowser
BINS=brainBrowser

ifdef VB_NOX
  BINS=
endif

all: $(BINS)

install:
ifdef BINS
	cp -Pf $(BINS) $(VB_BINDIR)
else
	@echo "Nothing to install."
endif

clean:
	rm -f $(CLEANME) $(ALLBINS)

# executables

brainBrowser: main.moc.h $(OBJECTS)
	$(CXX) -o brainBrowser $(OBJECTS) $(LIBS)

main.moc.h : $(HEADERS)
	$(MOC) main.h -o main.moc.h

br_util.o: $(HEADERS) br_util.cpp
	$(CXX) -c $(CXXFLAGS) -o br_util.o br_util.cpp

myDB.o: $(HEADERS) myDB.cpp
	$(CXX) -c $(CXXFLAGS) -o myDB.o myDB.cpp

searchBrain: searchBrain.o myDB.o br_util.o
	$(CXX) --whole-archive -o searchBrain searchBrain.o myDB.o br_util.o -ldb_cxx

searchBrain.o: searchBrain.cpp searchBrain.h
	$(CXX) -c -Wall -W -O3 -o searchBrain.o searchBrain.cpp
