=== qa/Makefile ===
ifeq ($(shell uname -s), Darwin)
	include Makefile.mac
else
	include Makefile.linux
endif
