=== debian/changelog ===
voxbo (1.8.5~svn1246-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Add watch file
  * cme fix dpkg-control
     - Point VCS fields to Salsa
     - Standards-Version: 4.1.4
     - Priority: optional
     - Drop Build-Depends: libpng12-dev
       Closes: #820578
  * debhelper 10
  * DEP5

  [ Matthias Klose ]
  * Build with -fpermissive to work around GCC 7 build failure.
    Closes: #853702

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 10:42:34 +0200

voxbo (1.8.5~svn1246-2) unstable; urgency=medium

  * The "probably last" update. Voxbo is now upstream-dead for 2+ years.
    However, popcon is still >200 (not bad for a package with a neuroscience
    audience). Hence, here is one more round of package modernization.
  * Acknowledge NMU: Thanks Andreas Moog.
  * Standardize debian/control via CME.
  * Bumped standards-version to 3.9.6, no changes necessary.
  * Updated build-dependency for GSL2, but keep alternatives for backports
    (GSL and PNG).
  * Import patch to fix FTBFS with GSL2. Courtesy of Iain Lane
    <iain@orangesquash.org.uk> (Closes: #805835).
  * Bump debhelper compatibility to 9.
  * Remove debian menu file in favor of desktop file.

 -- Michael Hanke <mih@debian.org>  Tue, 29 Dec 2015 19:16:06 +0100

voxbo (1.8.5~svn1246-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - No longer Build-Depends on obsolete libpng12-dev (Closes: #662542)
  * debian/patches/fix-linking.patch: (Closes: #720821)
    - Add -lboost_system where needed
    - Use Wl,--no-as-needed where necessary to allow building in Ubuntu

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sun, 09 Feb 2014 20:12:36 +0100

voxbo (1.8.5~svn1246-1) unstable; urgency=low

  * New upstream code.

 -- Michael Hanke <mih@debian.org>  Fri, 25 Feb 2011 13:23:31 -0500
