=== debian/control ===
Source: voxbo
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10~),
               python,
               zlib1g-dev,
               libboost-dev,
               libboost-thread-dev,
               libgsl-dev | libgsl0-dev,
               libpng-dev,
               libqt4-dev,
               libxi-dev,
               libxrender-dev,
               libfontconfig1-dev | libfontconfig-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/neurodebian-team/voxbo
Vcs-Git: https://salsa.debian.org/neurodebian-team/voxbo.git
Homepage: https://github.com/kimberg/voxbo

Package: voxbo
Architecture: any
Section: science
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: mni-colin27-nifti,
          matlab-spm8
Description: processing, statistical analysis, and display of brain imaging data
 This is a toolkit for analysis of functional neuroimaging (chiefly
 fMRI) experiments and voxel-based lesion-behavior mapping. VoxBo
 supports the modified GLM (for autocorrelated data), as well as the
 standard GLM for non-autocorrelated data. The toolkit is designed to be
 interoperable with AFNI, FSL, SPM and others.
