=== debian/watch ===
version=4

https://github.com/kimberg/voxbo/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@
